package net.sabi.pester;

import danger.app.Application;
import danger.app.Event;
import danger.ui.AlertWindow;
import danger.ui.ScreenWindow;
import danger.util.DEBUG;
import java.util.Stack;

public class Pester extends Application implements Resources, Commands {
    private static ScreenWindow sAlarmListWindow;
    private static Stack sAlarmStack;

    public Pester() {
	sAlarmListWindow = (ScreenWindow)getResources().getScreen(ID_ALARM_LIST_SCREEN);
	sAlarmListWindow.show();
	sAlarmStack = new Stack();
    }

    public boolean receiveEvent(Event e) {
	switch (e.type) {
	case Event.EVENT_ALARM:
	    Alarm alarm = (Alarm)e.argument;
	    AlertWindow alert = getAlert(ID_ALARM_ALERT, this);
	    alert.setTitle(alert.getTitle() + ": " + alarm.getDateTimeString());
	    alert.setMessage(alarm.getMessage());
	    alert.setShowTone(alarm.getAlert());
	    alert.show(AlertWindow.SYSTEM_ALERT_TYPE_ALARM);
	    sAlarmStack.push(alarm);
	    return true;
	case EVENT_DISMISS_ALARM:
	    ((Alarm)sAlarmStack.pop()).dismiss();
	    return true;
	}
	return super.receiveEvent(e);
    }
}
